/*
 *
 * $Header$
 *
 * Auto: dcc -o OmtiFroh OmtiFroh.c
 */

/*
 *
 * Dieses Programm simuliert fr ganz dumme Omti-Controller-Boards
 * eine Autoconfig-Node ab $ee0000. Dadurch ignoriert der Enforcer
 * diesen Speicherbereich und gibt keine Hits mehr aus.
 *
 */

/*
 * Das Teil hier wurde von Henning Schmiedehausen und Frohwald Egerer (sp?) :)
 * auf dem Bielefelder Amiga Internet/Usenet Treffen 92 erstellt. 
 * 
 * Das ganze soll geplagten Omti & ALF Benutzern helfen, den Enforcer zu 
 * benutzen, damit sie fuer mich bessere Software schreiben.
 *
 * Das ganze ist hiermit PD. Macht damit, was ihr wollt.... :)
 *
 */


#include <exec/memory.h>
#include <libraries/expansion.h>
#include <libraries/configregs.h>
#include <libraries/configvars.h>


struct Library		*ExpansionBase;

main()
{
	struct ConfigDev	*myConfigDev = (struct ConfigDev *)AllocMem(sizeof(struct ConfigDev),MEMF_PUBLIC|MEMF_CLEAR);

	if(!(ExpansionBase = (struct ExpansionBase *)OpenLibrary(EXPANSIONNAME,0L)))
	{
		printf("Wo ist meine expansion.library!?\n");
	}
	else
	{
		if(myConfigDev)
		{
			myConfigDev->cd_Flags= CDF_CONFIGME;
			myConfigDev->cd_Rom.er_Product = 0;
			myConfigDev->cd_Rom.er_Manufacturer = 2011;
			myConfigDev->cd_Rom.er_Type = ERT_ZORROII|0x01;		/* 0x01 = 64 KBytes Boardsize */
			myConfigDev->cd_BoardAddr = (APTR)0xee0000;
			myConfigDev->cd_BoardSize = E_SLOTSIZE;
			AddConfigDev(myConfigDev);
		}
		else
		{
			printf("Kein Speicher fr struct ConfigDev?!\n");
		}
	CloseLibrary(ExpansionBase);
	}
}
